# Class JNDIRealm.User

java.lang.Object
org.apache.catalina.realm.JNDIRealm.User

Enclosing class:
  `JNDIRealm`

protected static class JNDIRealm.User extends Object
A protected class representing a User

## Constructor Summary

Constructors
Constructor
Description
`User(String username, String dn, String password, List<String> roles, String userRoleId)`
Constructs a new User.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDN()`
Get the distinguished name.
`String`
`getPassword()`
Get the password.
`List<String>`
`getRoles()`
Get the roles.
`String`
`getUserName()`
Get the username.
`String`
`getUserRoleId()`
Get the user role ID.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### User

public User(String username, String dn, String password, List<String> roles, String userRoleId)
Constructs a new User.

Parameters:
  `username` - the username
  `dn` - the distinguished name
  `password` - the password
  `roles` - the list of roles
  `userRoleId` - the user role ID

## Method Details

### getUserName

public String getUserName()
Get the username.

Returns:
  the username

### getDN

public String getDN()
Get the distinguished name.

Returns:
  the distinguished name

### getPassword

public String getPassword()
Get the password.

Returns:
  the password

### getRoles

public List<String> getRoles()
Get the roles.

Returns:
  the list of roles

### getUserRoleId

public String getUserRoleId()
Get the user role ID.

Returns:
  the user role ID